## com.baidubce.services.media.model
Class CreatePresetRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.media.model.CreatePresetRequest

    public class CreatePresetRequest

extends AbstractBceRequest

Constructor Summary
`CreatePresetRequest()`

Method Summary
`Audio` `getAudio()` 音频输出信息
`Clip` `getClip()` 片段截取设置
`String` `getContainer()` 音视频文件的容器(MP4, FLV, MOV, MP3, M4A)
`String` `getDescription()` preset详情描述
`Encryption` `getEncryption()` HLS加解密信息的集合
`String` `getPresetName()` preset名称
`Boolean` `getTransmux()` 是否仅执行容器格式转换
`Video` `getVideo()` 视频输出信息的集合
`String` `getWatermarkId()`
`void` `setAudio(Audio audio)`
`void` `setClip(Clip clip)`
`void` `setContainer(String container)`
`void` `setDescription(String description)`
`void` `setEncryption(Encryption encryption)`
`void` `setPresetName(String presetName)`
`void` `setTransmux(Boolean transmux)`
`void` `setVideo(Video video)`
`void` `setWatermarkId(String watermarkId)`
`String` `toString()`
`CreatePresetRequest` `withAudio(Audio audio)`
`CreatePresetRequest` `withClip(Clip clip)`
`CreatePresetRequest` `withContainer(String container)`
`CreatePresetRequest` `withDescription(String description)`
`CreatePresetRequest` `withEncryption(Encryption encryption)`
`CreatePresetRequest` `withPresetName(String presetName)`
`CreatePresetRequest` `withRequestCredentials(BceCredentials credentials)`
`CreatePresetRequest` `withTransmux(Boolean transmux)`
`CreatePresetRequest` `withVideo(Video video)`
`CreatePresetRequest` `withWatermarkId(String watermarkId)`

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreatePresetRequest

    public CreatePresetRequest()

Method Detail

### getPresetName

    public String getPresetName()

  preset名称

### setPresetName

    public void setPresetName(String presetName)

### withPresetName

    public CreatePresetRequest withPresetName(String presetName)

### getDescription

    public String getDescription()

  preset详情描述

### setDescription

    public void setDescription(String description)

### withDescription

    public CreatePresetRequest withDescription(String description)

### getContainer

    public String getContainer()

  音视频文件的容器(MP4, FLV, MOV, MP3, M4A)

### setContainer

    public void setContainer(String container)

### withContainer

    public CreatePresetRequest withContainer(String container)

### getTransmux

    public Boolean getTransmux()

  是否仅执行容器格式转换

### setTransmux

    public void setTransmux(Boolean transmux)

### withTransmux

    public CreatePresetRequest withTransmux(Boolean transmux)

### getClip

    public Clip getClip()

  片段截取设置

### setClip

    public void setClip(Clip clip)

### withClip

    public CreatePresetRequest withClip(Clip clip)

### getAudio

    public Audio getAudio()

  音频输出信息

### setAudio

    public void setAudio(Audio audio)

### withAudio

    public CreatePresetRequest withAudio(Audio audio)

### getVideo

    public Video getVideo()

  视频输出信息的集合

### setVideo

    public void setVideo(Video video)

### withVideo

    public CreatePresetRequest withVideo(Video video)

### getEncryption

    public Encryption getEncryption()

  HLS加解密信息的集合

### setEncryption

    public void setEncryption(Encryption encryption)

### withEncryption

    public CreatePresetRequest withEncryption(Encryption encryption)

### withRequestCredentials

    public CreatePresetRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

### getWatermarkId

    public String getWatermarkId()

### setWatermarkId

    public void setWatermarkId(String watermarkId)

### withWatermarkId

    public CreatePresetRequest withWatermarkId(String watermarkId)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.